diff --git a/.travis.yml b/.travis.yml
index a48ac87..c94876c 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -1,9 +1,7 @@
-dist: trusty
-language: node_js
-node_js:
- - 10
- - 8
-addons:
- chrome: stable
-before_install:
- - google-chrome-stable --headless --disable-gpu --remote-debugging-port=9222 http://localhost &
+language: python
+python:
+ - "3.6"
+services:
+ - docker
+script:
+ - ./test.sh
diff --git a/containers/webserver/lesspass.conf.j2 b/containers/webserver/lesspass.conf.j2
index c7e609f..b9e3f0e 100644
--- a/containers/webserver/lesspass.conf.j2
+++ b/containers/webserver/lesspass.conf.j2
@@ -8,7 +8,7 @@ ServerName {{ FQDN }}
- ServerName www.{{ FQDN }}
+ ServerName {{ FQDN }}
ProxyPass /api/ http://backend:8000/api/
ProxyPassReverse /api/ http://backend:8000/api/
SSLEngine on
@@ -17,6 +17,15 @@ ServerName {{ FQDN }}
+ ServerName api.{{ FQDN }}
+ ProxyPass / http://backend:8000/api/
+ ProxyPassReverse / http://backend:8000/api/
+ SSLEngine on
+ SSLCertificateFile {{ SSL_CERTIFICATE_FILE }}
+ SSLCertificateKeyFile {{ SSL_CERTIFICATE_KEY_FILE }}
+
+
+
ServerName www.{{ FQDN }}
ServerAlias {{ FQDN }}
diff --git a/test.sh b/test.sh
new file mode 100755
index 0000000..0bbef4a
--- /dev/null
+++ b/test.sh
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+set -e
+
+python3 --version
+pushd containers
+export COMPOSE_PROJECT_NAME=lesspass
+docker-compose build
+docker-compose up -d
+docker exec -it lesspass_backend_1 sh -c 'python3 wait_db.py'
+docker exec -it lesspass_backend_1 sh -c 'python3 manage.py test'
+docker-compose down
+popd
\ No newline at end of file